%lib_package mad 0

Summary: MPEG Audio Decoder
Name: libmad
Version: 0.15.1b
Release: 4%{?dist}
Group: System Environment/Libraries
Source0: ftp://ftp.mars.org/pub/mpeg/%{name}-%{version}.tar.gz
Source1: ftp://ftp.mars.org/pub/mpeg/%{name}-%{version}.tar.gz.sign
Patch0: optimize.diff
Patch1: amd64-64bit.diff
Patch2: autoconf
URL: http://www.underbit.com/products/mad/
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
Provides: mad = %{evr}
%lib_dependencies

%description
MAD (libmad) is a high-quality MPEG audio decoder. It currently supports
MPEG-1 and the MPEG-2 extension to Lower Sampling Frequencies, as well as
the so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.
 
MAD does not yet support MPEG-2 multichannel audio (although it should be
backward compatible with such streams) nor does it currently support AAC.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --enable-accuracy --disable-debugging
make %{_smp_mflags}

cat << EOF > mad.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: mad
Description: MPEG Audio Decoder
Requires:
Version: %{version}
Libs: -L%{_libdir} -lmad -lm
Cflags: -I%{_includedir}
EOF

%install
rm -rf %{buildroot}
%makeinstall
install -m 644 -D mad.pc %{buildroot}%{_libdir}/pkgconfig/mad.pc

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO

%changelog
* Thu Oct 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.15.1b-4
- Apply patches by Debian for fixing gcc 4.3 failure.

* Wed Jan  4 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.15.1b.

* Thu Aug 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added mad.pc required by gstreamer-plugins.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.15.0b.
- Split a devel package.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Added mad provides.

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild for Red Hat Linux 8.0 (missing because of license issues).
- Spec file cleanup.

* Tue Mar 12 2002 Bill Nottingham <notting@redhat.com> 0.14.2b-3
- ship libid3tag too

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Mon Jan 28 2002 Bill Nottingham <notting@redhat.com>
- split libmad off into a separate package

